RDKit::MMFF::MMFFAtomProperties Class Reference

`#include <AtomTyper.h>`

## Public Member Functions

| MMFFAtomProperties ()
| ~MMFFAtomProperties ()

## Public Attributes

std::uint8_t | mmffAtomType
double | mmffFormalCharge
double | mmffPartialCharge

## Detailed Description

Definition at line 47 of file MMFF/AtomTyper.h.

## Constructor & Destructor Documentation

## MMFFAtomProperties()

RDKit::MMFF::MMFFAtomProperties::MMFFAtomProperties | ( |  | ) |

inline

Definition at line 49 of file MMFF/AtomTyper.h.

## ~MMFFAtomProperties()

RDKit::MMFF::MMFFAtomProperties::~MMFFAtomProperties | ( |  | ) |

inline

Definition at line 51 of file MMFF/AtomTyper.h.

## Member Data Documentation

## mmffAtomType

std::uint8_t RDKit::MMFF::MMFFAtomProperties::mmffAtomType

Definition at line 51 of file MMFF/AtomTyper.h.

## mmffFormalCharge

double RDKit::MMFF::MMFFAtomProperties::mmffFormalCharge

Definition at line 53 of file MMFF/AtomTyper.h.

## mmffPartialCharge

double RDKit::MMFF::MMFFAtomProperties::mmffPartialCharge

Definition at line 54 of file MMFF/AtomTyper.h.

The documentation for this class was generated from the following file:

- MMFF/AtomTyper.h